import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { BestPropertyMaster } from '../models';
import { BestPropertyMasterRepository } from '../repositories';
export declare class BestpropertymasterController {
    bestPropertyMasterRepository: BestPropertyMasterRepository;
    constructor(bestPropertyMasterRepository: BestPropertyMasterRepository);
    create(bestPropertyMaster: Omit<BestPropertyMaster, 'bestPropertyId'>): Promise<BestPropertyMaster>;
    count(where?: Where<BestPropertyMaster>): Promise<Count>;
    find(filter?: Filter<BestPropertyMaster>): Promise<BestPropertyMaster[]>;
    updateAll(bestPropertyMaster: BestPropertyMaster, where?: Where<BestPropertyMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<BestPropertyMaster>): Promise<BestPropertyMaster>;
    updateById(id: number, bestPropertyMaster: BestPropertyMaster): Promise<void>;
    replaceById(id: number, bestPropertyMaster: BestPropertyMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
